@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Jost", sans-serif;
}

:root {
    --black-color: #000;
    --top-bar-margin: 20px;
    --white-color: #fff;
    --red-color: #ff0000;
    --yellow-color: #FFBA00;
    --transferent-color: #ffffff1d;
    --menu-border: 1px solid #dedede;
    --menu-heading-gray-color: #6f6f6f;
    --form-heading-deep-gray-color:rgb(73, 73, 73);
}

a {
    text-decoration: none;
}

body {
    width: 100%;
    height: auto;
    position: relative;
    /* background-color: #000; */
}

.top_bar {
    width: 100%;
    height: 80px;
    background-color: var(--black-color);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.top_bar .left_side_logo_bar_searching {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    margin-left: var(--top-bar-margin);
}

.top_bar .left_side_logo_bar_searching .logo_name {
    width: auto;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.top_bar .left_side_logo_bar_searching .logo_name .logo {
    width: 50px;
    height: 50px;
}

.top_bar .left_side_logo_bar_searching .logo_name .logo img {
    width: 100%;
    height: 100%;
}

.top_bar .left_side_logo_bar_searching .logo_name .name {
    width: auto;
    height: auto;
    font-size: 17px;
    font-weight: 600;
    text-transform: uppercase;
    color: var(--white-color);
    margin-left: 5px;
}

.top_bar .left_side_logo_bar_searching .click_bar {
    width: 40px;
    height: 40px;
    background-color: var(--white-color);
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 10px;
    border-radius: 4px;
    cursor: pointer;
}

.top_bar .left_side_logo_bar_searching .searching_bar {
    width: 300px;
    height: 55px;
    background-color: var(--transferent-color);
    margin-left: var(--top-bar-margin);
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.top_bar .left_side_logo_bar_searching .searching_bar .full_search {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.top_bar .left_side_logo_bar_searching .searching_bar .full_search .search_icon {
    color: var(--white-color);
}

.top_bar .left_side_logo_bar_searching .searching_bar .full_search input {
    width: 210px;
    height: auto;
    border: none;
    background: none;
    margin-left: 5px;
    color: var(--white-color);
    font-size: 16px;
}

.top_bar .left_side_logo_bar_searching .searching_bar .full_search input:focus {
    outline: none;
}

.top_bar .left_side_logo_bar_searching .searching_bar .filter_icon {
    width: 30px;
    height: 30px;
    background-color: var(--white-color);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.top_bar .right_side_profile_manage {
    width: 150px;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-right: var(--top-bar-margin);
}

.top_bar .right_side_profile_manage .notification {
    width: 33px;
    height: 33px;
    background-color: var(--white-color);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.top_bar .right_side_profile_manage .profile_setting {
    width: 90px;
    height: 45px;
    background-color: #ffeb9b;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.top_bar .right_side_profile_manage .profile_setting .profile_pic {
    width: 35px;
    height: 35px;
    border-radius: 50%;
}

.top_bar .right_side_profile_manage .profile_setting .profile_pic img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.top_bar .right_side_profile_manage .profile_setting .setting_icon {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}



.left_bar {
    width: 260px;
    height: 615px;
    background-color: var(--white-color);
    position: absolute;
    left: 0;
    top: 80px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.left_bar .deshboard_menu {
    width: 240px;
    height: 110px;
    flex-direction: column;
    border-bottom: var(--menu-border);
}

.left_bar .deshboard_menu .heading {
    width: 240px;
    height: 50px;
    display: flex;
    align-items: center;
    font-size: 17px;
    font-weight: 600;
    color: var(--menu-heading-gray-color);

}

.left_bar .deshboard_menu .deshboard_btn {
    width: 240px;
    height: 50px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    transition: 0.3s all ease;
}

.left_bar .deshboard_menu .deshboard_btn:hover {
    background-color: #0000001d;
    transition: 0.3s all ease;
    /* border: none; */
}

.left_bar .deshboard_menu .deshboard_btn span {
    padding-left: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.left_bar .deshboard_menu .deshboard_btn p {
    padding-left: 10px;
    color: #000;
}

.left_bar .pages_menu {
    width: 240px;
    height: auto;
    flex-direction: column;
}

.left_bar .pages_menu .heading {
    width: 240px;
    height: 50px;
    display: flex;
    align-items: center;
    font-size: 17px;
    font-weight: 600;
    color: var(--menu-heading-gray-color);

}

.left_bar .pages_menu .full_menu {
    width: 240px;
    height: auto;
}

.left_bar .pages_menu .full_menu .sub_menu {
    width: 240px;
    height: 0;
    opacity: 0;
    background-color: #fff7d8;
    transition: 0.5s all ease;
}

.left_bar .pages_menu .full_menu .sub_menu.active {
    height: 100px;
    opacity: 1;
}

.left_bar .pages_menu .full_menu .sub_menu .sub_page_btn {
    width: 240px;
    height: 40px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    transition: 0.3s all ease;
    position: relative;
    top: 2px;
}

.left_bar .pages_menu .full_menu .sub_menu .sub_page_btn:hover {
    background-color: #74030333;
    transition: 0.3s all ease;
}

.left_bar .pages_menu .full_menu .sub_menu .sub_page_btn span {
    padding-left: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--yellow-color);
}

.left_bar .pages_menu .full_menu .sub_menu .sub_page_btn p {
    padding-left: 10px;
    color: #000;
}


.left_bar .pages_menu .full_menu .page_btn {
    width: 240px;
    height: 40px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    transition: 0.3s all ease;
    position: relative;
    border: var(--menu-border);
    margin-top: 5px;
}

.left_bar .pages_menu .full_menu .page_btn:hover {
    background-color: #0000000b;
    transition: 0.3s all ease;
    /* border: none; */
}

.left_bar .pages_menu .full_menu .page_btn span {
    padding-left: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--yellow-color);
}

.left_bar .pages_menu .full_menu .page_btn p {
    padding-left: 10px;
    color: #000;
}

.left_bar .pages_menu .full_menu .page_btn .arrow_down {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: 10px;
    color: var(--red-color);
}

/* right side design...................................... */
/*  ................................. */
/* ........................................................... */
/*  ................................. */
/* ........................................................... */
/*  ................................. */
/* ........................................................... */

.right_bar {
    width: 1276px;
    background-color: #ffeb9b;
    height: 615px;
    position: absolute;
    left: 260px;
    top: 80px;
    z-index: 5;
    display: flex;
    /* align-items: center; */
    justify-content: center;
}

.right_bar .full_form {
    width: 600px;
    height: auto;
    /* background-color: #f3f3f3; */
    margin-top: 30px;
}

.right_bar .full_form .heading_form {
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    font-size: 20px;
    font-weight: 600;
    color: var(--yellow-color);
}

.right_bar .full_form .product_name {
    width: 100%;
    height: auto;
    margin-top: 20px;
}
.right_bar .full_form .product_name .name_heading{
    width: auto;
    height: auto;
    font-size: 17px;
    color: var(--form-heading-deep-gray-color);
}
/*  */
/*  */
.form_input{
    width: 400px;
    height: 40px;
    margin-top: 10px;
    padding-left: 10px;
    font-size: 17px;
    border: none;
    outline: none;
    transition: 0.2s all ease;
    border-radius: 5px;
    color: var(--black-color);
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
    background-color: var(--white-color);
}
.form_input:focus{
    box-shadow: rgba(17, 17, 26, 0.1) 0px 8px 24px, rgba(17, 17, 26, 0.1) 0px 16px 56px, rgba(17, 17, 26, 0.1) 0px 24px 80px;
    transition: 0.5s all ease;
}
.form_input::placeholder{
    color: #6f6f6f;
    font-size: 15px;
}
.right_bar .full_form .product_old_image {
    width: 100%;
    height: auto;
    margin-top: 20px;
}
.right_bar .full_form .product_old_image img{
    width: 50px;
    height: 50px;
}
.right_bar .full_form .product_image {
    width: 100%;
    height: auto;
    margin-top: 10px;

}
.right_bar .full_form .product_image  .image_heading{
    width: auto;
    height: auto;
    font-size: 17px;
    color: var(--form-heading-deep-gray-color);
}
.right_bar .full_form .product_image .image_upload{
    width: 400px;
    height: 40px;
    padding: 8px;
    background-color: var(--white-color);
    border-radius: 5px;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
    margin-top: 10px;
}
.right_bar .full_form .submit_reset{
    width: 400px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.right_bar .full_form .submit_reset .submit{
    width: 130px;
    height: 40px;
    border: none;
    background-color: var(--yellow-color);
    color: var(--white-color);
    font-size: 18px;
    margin: 5px;
    border-radius: 3px;
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    outline: none;
}
.right_bar .full_form .submit_reset .reset{
    width: 130px;
    height: 40px;
    border: none;
    border: 2px solid var(--yellow-color);
    color: var(--black-color);
    font-size: 18px;
    margin: 5px;
    background: none;
    border-radius: 3px;
    cursor: pointer;
    outline: none;
}